package cn.com.ty.lift.business.annualinspection.dto;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * @author wcz
 * @date 2019/12/10
 * @description
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class InspectionRequest extends BaseRequestModel{

    private Long id;
    /**
     * 区域id
     */
    private Long regionId;

    /**
     * 维保公司id
     */
    private Long mtCompanyId;

    /**
     * 项目id
     */
    private Long projectId;

    /**
     * 维保工id
     */
    private Long workerId;

    /**
     *  搜索条件 匹配电梯注册编码
     */
    private String info;

    /**
     * 年检阶段
     */
    private Integer stepName;

    /**
     * 年检完成状态（0 待完成；1 已完成；2 超期）
     */
    private int status;

    private Long userId;

    /**
     * 自检时间
     */
    private LocalDate selfcheckDate;
    /**
     * 自检报告路径
     */
    private String selfcheckReportImg;
    /**
     * 检验结果图片路径
     */
    private String checkResultImg;
    /**
     * 现场检验时间
     */
    private LocalDate checkDate;

    /**
     * 合格证图片路径
     */
    private String certificateImgUrl;

    /**
     * 年检报告图片路径
     */
    private String annualInspectionImg;
}
