package cn.com.ty.lift.business.applet.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户反馈
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2020-01-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FeedBack implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户反馈ID
     */
    @TableId("id")
    private Long id;

    /**
     * 电梯ID
     */
    @TableField("lift_id")
    private Long liftId;

    /**
     * 维保公司ID
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 来源
     */
    @TableField("source")
    private Integer source;

    /**
     * 类型
     */
    @TableField("type")
    private Integer type;

    /**
     * 标题
     */
    @TableField("title")
    private String title;

    /**
     * 内容
     */
    @TableField("content")
    private String content;

    /**
     * 用户ID
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 用户帐号
     */
    @TableField("user_account")
    private String userAccount;

    /**
     * 反馈时间
     */
    @TableField("post_date")
    private LocalDateTime postDate;


}
