package cn.com.ty.lift.business.contract.dao.entity;

import java.math.BigDecimal;
import java.time.LocalDate;

import cn.com.ty.lift.business.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 实体类 - 表：payment
 * @author bieao
 * @since 2019-12-11 14:22:13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Payment extends BaseEntity {

	/**
	 * 收付款ID
	 */
	@TableId(value = "id",type = IdType.ID_WORKER)
	private Long id;

	/**
	 * 合同编号
	 */
	private String contractsId;

	/**
	 * 收付款事项   1：合同分期费
	 */
	private Integer type;

	/**
	 * 摘要 1服务积分 2贡献积分
	 */
	@Deprecated
	private String summary;

	/**
	 * 应收金额
	 */
	private BigDecimal planMoney;

	/**
	 * 已收金额
	 */
	private BigDecimal workMoney;

	/**
	 * 应收时间
	 */
	private LocalDate planDate;

	/**
	 * 已收时间
	 */
	private LocalDate workDate;

	/**
	 * 收款人编号
	 */
	private Long cashierUser;

	/**
	 * 是否上传票据
	 */
	private Integer isTicket;

	/**
	 * 是否上传银行回单
	 */
	private Integer isCollection;

	/**
	 * 备注
	 */
	private String remarks;

	/**
	 * 收付款状态
	 */
	@Deprecated
	private Integer status;

	/**
	 * 票据图片
	 */
	private String noteImgUrl;

	/**
	 * 银行回执单图片
	 */
	private String bankImgUrl;

	/**
	 * 收付款编号
	 */
	private String code;

	/**
	 * 开票金额
	 */
	private BigDecimal amountInvoice;

	/**
	 * 开票日期
	 */
	private LocalDate billingDate;

	/**
	 * 期数
	 */
	private Integer numberPeriods;
}