package cn.com.ty.lift.business.contract.service;

import cn.com.ty.lift.business.contract.dao.entity.ContractsHistory;
import cn.com.ty.lift.business.contract.dao.entity.model.ContractsHistoryRequest;
import cn.com.ty.lift.business.contract.dao.mapper.ContractsHistoryMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author bieao
 * @date 2020/1/8
 * @description 合同历史记录业务层
 */
@Service
public class ContractHistoryService extends ServiceImpl<ContractsHistoryMapper, ContractsHistory> {

    /**
     * @param request 合同编号
     * @return IPage<ContractsHistory> 合同历史记录
     * @description 根据合同编号查询合同历史记录
     * @date 2020/1/8 11:37 上午
     */
    public IPage<ContractsHistory> list(ContractsHistoryRequest request) {
        IPage<ContractsHistory> page = new Page<>(request.getPageNum(), request.getPageSize());
        QueryWrapper<ContractsHistory> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<ContractsHistory> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(ContractsHistory::getContractsId, request.getContractId());
        return page(page, lambdaQueryWrapper);
    }
}
