package cn.com.ty.lift.business.contract.service;

import cn.com.ty.lift.business.contract.dao.entity.Payment;
import cn.com.ty.lift.business.contract.dao.mapper.PaymentMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author bieao
 * @date 2019/12/11
 * @description 收款业务层
 */
@Service
public class PaymentService extends ServiceImpl<PaymentMapper, Payment> {

    /**
     * @param payments 付款信息
     * @param nextId 合同编号
     * @return  是否成功
     * @description 批量插入收款信息
     * @date 2019/12/11 4:34 PM
     */
    public boolean insertBatch(List<Payment> payments, String nextId) {
        //设置合同付款的合同编号
        payments.forEach(entry -> entry.setContractsId(nextId));
        //批量插入付款信息
        return saveBatch(payments);
    }

    /**
     * @param paymentList 收款信息列表
     * @return 1.成功, 0.失败, 消息描述
     * @description 批量修改收款信息
     * @date 2019/12/11 3:50 PM
     */
    public boolean modifyBatchById(List<Payment> paymentList) {
        return updateBatchById(paymentList);
    }
}
