package cn.com.ty.lift.business.emergency.dto;

import cn.com.ty.lift.business.emergency.entity.ErCostItem;
import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author wcz
 * @date 2019/12/5
 * @description 根据条件分页查询急修单，条件封装model
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class RepairRequest extends BaseRequestModel{

    /**
     * 主键id
     */
    private Long id;
    /**
     * 维保公司id
     */
    private Long mtCompanyId;

    /**
     * 电梯id
     */
    private Long liftId;

    /**
     * 区域id
     */
    private Long regionId;

    /**
     * 项目id
     */
    private Long projectId;

    /**
     * 维保工id
     */
    private Long workerId;

    /**
     * 报修开始时间
     */
    private LocalDateTime repairBegin;

    /**
     * 报修结束时间
     */
    private LocalDateTime repairEnd;

    /**
     * 急修单状态
     */
    private Integer status;

    /**
     * 电梯注册代码，多条件字段模糊匹配
     */
    private String info;

    /**
     * 故障来源
     */
    private Integer source;


    /**
     * 接单时间 app端维保工确认
     */
    private LocalDateTime takingTime;

    /**
     *
     * 到达时间 app端维保工打卡
     */
    private LocalDateTime arriveTime;

    /**
     * 停梯时间
     */
    private LocalDateTime stopDate;

    /**
     * 签到位置
     */
    private String position;

    /**
     *
     */
    private Long userId;

    /**
     * 电梯类型
     */
    private Integer liftCategory;

    /**
     * 急修关闭原因
     */
    private String closeReason;

    /**
     * 急修收费项id
     */
    private Long erCostItemId;
    /**
     * 急修项列表
     */
    private List<ErCostItem> erCostItems;

    /**
     * 安全确认
     */
    private String safetyConfirm;

    /**
     * 故障部位
     */
    private String faultPart;
    /**
     * 故障原因
     */
    private String faultReason;
    /**
     * 故障处理
     */
    private String faultHandle;
    /**
     * 故障性质
     */
    private String faultNature;
    /**
     * 故障责任
     */
    private String faultDuty;

    /**
     * 恢复时间
     */
    private LocalDateTime recoveryDate;

    /**
     * 主要急修人签名 完成急修单添加
     */
    private String mainSign;
    /**
     * 次要急修人签名
     */
    private String secondSign;

    /**
     * 现场描述
     */
    private String fieldDescription;

    /**
     * 急修图片地址
     */
    private List<String> erRecordImg;
}
