package cn.com.ty.lift.business.emergency.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * <p>
 * 临修图片
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ErRecordImg implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    /**
     * 临修记录ID
     */
    @Min(value = 1,message = "急修记录不能为空")
    private Long erRecordId;

    /**
     * 图片路径
     */
    @NotEmpty(message = "急修图片不能为空")
    private String imgUrl;

    /**
     * 排序
     */
    private Integer sort;
}
