package cn.com.ty.lift.business.emergency.service;

import cn.com.ty.lift.business.emergency.entity.ErCostItem;
import cn.com.ty.lift.business.emergency.mapper.ErCostItemMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Service
public class ErCostItemService extends ServiceImpl<ErCostItemMapper, ErCostItem> {


    public List<ErCostItem> listByErRecordId(Long erRecordId){
        QueryWrapper<ErCostItem> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<ErCostItem> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(ErCostItem::getErRecordId, erRecordId);
        return list(lambdaQueryWrapper);
    }

    /**
     * 根据急修id和主键id查找急修收费项
     * @param erRecordId 急修id
     * @param id 主键id
     * @return
     */
    public ErCostItem findByRecordAndId(Long erRecordId,Long id){
        QueryWrapper<ErCostItem> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<ErCostItem> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(ErCostItem::getErRecordId,erRecordId);
        lambdaQueryWrapper.eq(ErCostItem::getId,id);
        lambdaQueryWrapper.last("LIMIT 1");
        return getOne(lambdaQueryWrapper);
    }
}
