package cn.com.ty.lift.business.evaluation.controller;


import cn.com.ty.lift.business.evaluation.dao.entity.Evaluation;
import cn.com.ty.lift.business.evaluation.service.EvaluationService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 保养单用户评价 前端控制器
 * </p>
 *
 * @author huangyuan
 * @since 2019-12-31
 */
@RestController
@RequestMapping("/evaluation")
@AllArgsConstructor
public class EvaluationController {

    private final EvaluationService evaluationService;

    /**
     * @param entity 维保，急修记录
     * @return RestResponse
     * @description 保存评价信息
     * @date 2019-12-31 15:46
     */
    @PostMapping("/save")
    public RestResponse save(@RequestBody Evaluation entity) {
        if (evaluationService.save(entity)) {
            return RestResponse.success(null, "成功");
        }
        return RestResponse.fail();
    }

    /**
     * 查看评价信息
     *
     * @param entity 维保，急修记录id
     * @return RestResponse
     * @date 2020-01-11 09:51
     */
    @PostMapping
    public RestResponse evaluation(@RequestBody Evaluation entity) {
        Evaluation one = evaluationService.getOne(new QueryWrapper<Evaluation>()
                .eq(entity.getRecordId() != null, "record_id", entity.getRecordId()));
        if (null == one) {
            return RestResponse.success();
        }
        return RestResponse.success(one);
    }
}
