package cn.com.ty.lift.business.evaluation.dao.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 保养单用户评价
 * </p>
 *
 * @author huangy
 * @since 2019-12-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Evaluation implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    /**
     * 电梯ID
     */
    private Long liftId;

    /**
     * 维修/保养记录ID
     */
    private Long recordId;

    /**
     * 来源（1 维保；2 急修）
     */
    private Integer source;

    /**
     * 类型（1 物业评价；2 手写评价；3 自动评价）
     */
    private Integer type;

    /**
     * 用户建议
     */
    private String advice;

    /**
     * 服务态度
     */
    private Integer serviceLevel;

    /**
     * 保养满意度
     */
    private Integer starLevel;

    /**
     * 手写签名图片
     */
    private String imgUrl;

    /**
     * 评价时间
     */
    private LocalDateTime postDate;

    /**
     * 评价人ID
     */
    private Long userId;

    public Evaluation() {
    }

}
