package cn.com.ty.lift.business.evaluation.service;

import cn.com.ty.lift.business.evaluation.dao.entity.Evaluation;
import cn.com.ty.lift.business.evaluation.dao.mapper.EvaluationMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 保养单用户评价 服务实现类
 * </p>
 *
 * @author huangyuan
 * @since 2019-12-31
 */
@Service
public class EvaluationService extends ServiceImpl<EvaluationMapper, Evaluation> {

    public Evaluation findByRecord(Long recordId){
        QueryWrapper<Evaluation> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<Evaluation> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(Evaluation::getRecordId,recordId);
        lambdaQueryWrapper.last("LIMIT 1");
        return getOne(lambdaQueryWrapper);
    }

    public int countByRecord(Long recordId){
        QueryWrapper<Evaluation> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<Evaluation> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(Evaluation::getRecordId,recordId);
        return count(lambdaQueryWrapper);
    }
}
