package cn.com.ty.lift.business.library.controller;

import cn.com.ty.lift.business.common.Judge;
import cn.com.ty.lift.business.common.Multipart;
import cn.com.ty.lift.business.library.dao.entity.model.LiftImportModel;
import cn.com.ty.lift.business.library.dao.entity.model.request.LiftImportRequest;
import cn.com.ty.lift.business.library.service.LiftService;
import cn.com.xwy.boot.web.dto.RestResponse;
import cn.hutool.core.util.StrUtil;
import cn.hutool.poi.excel.ExcelReader;
import cn.hutool.poi.excel.ExcelUtil;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.util.List;

/**
 * @author wcz
 * @date 2019/12/27
 * @description 电梯导入
 */
@RestController
@AllArgsConstructor
@RequestMapping("lift")
public class LiftImportController {

    private LiftService liftService;


    @PostMapping("import")
    public RestResponse importData(@RequestBody LiftImportRequest request) throws Exception{
        Long mtCompanyId = request.getMtCompanyId();
        Judge.id(mtCompanyId);
        MultipartFile file = request.getFile();
        Judge.notNull(file,"没有解析到文件数据");
        Long projectId = request.getProjectId();
        // 1 检查文件有效性
        // 获取文件名，带后缀
        String originalFilename = file.getOriginalFilename();
        // 获取文件的后缀格式
        String fileSuffix = originalFilename.substring(originalFilename.lastIndexOf(".") + 1).toLowerCase();
        Judge.notTrue(!StrUtil.equalsAny(fileSuffix,"xls","xlsx"),"文件格式不支持，暂时只支持xls,xlsx");

        // 2 解析文件，转换成bean
        File excel = Multipart.multipartFileToFile(file);
        ExcelReader reader = ExcelUtil.getReader(excel);
        List<LiftImportModel> liftImportModels = reader.read(0,2,reader.getRowCount(),LiftImportModel.class);

        return liftService.assemble(liftImportModels,mtCompanyId,projectId);
    }

    @PostMapping("parse")
    public RestResponse parse(){
        File file = new File("d:/tyu/电梯导入模板1.xlsx");
        ExcelReader reader = ExcelUtil.getReader(file);
        List<LiftImportModel> liftImportModels = reader.read(0,2,reader.getRowCount(),LiftImportModel.class);

        return liftService.assemble(liftImportModels,1l,1l);
    }

    /**
     * 刷电梯旧数据，相同注册代码的电梯保留一条记录，其他关联表中的lift_id，同步刷
     * @return
     */
    @PostMapping("clearData")
    public RestResponse clearData(){
        boolean result = liftService.clearData();
        return Judge.result(result);
    }
}
