package cn.com.ty.lift.business.library.dao.mapper;

import cn.com.ty.lift.business.library.dao.entity.Lift;
import cn.com.ty.lift.business.library.dao.entity.model.LiftProjectModel;
import cn.com.ty.lift.business.library.dao.entity.model.request.LiftChooseRequest;
import cn.com.ty.lift.business.library.dao.entity.model.request.LiftRequest;
import cn.com.ty.lift.business.library.dao.entity.model.request.ProjectLiftRequest;
import cn.com.ty.lift.business.library.dao.entity.model.response.LiftExtendResponse;
import cn.com.ty.lift.business.library.dao.entity.model.response.LiftResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @author bieao
 * @date 2019/11/27
 * @description 电梯档案数据层
 */
public interface LiftMapper extends BaseMapper<Lift> {

    IPage<LiftResponse> findByCondition(IPage<LiftResponse> page, @Param("request") LiftRequest request);

    IPage<LiftResponse> findLiftListByProjectId(IPage<LiftResponse> page, @Param("request") ProjectLiftRequest request);

    List<LiftProjectModel> listByCompanyAndProject(@Param("mtCompanyId") Long mtCompanyId, @Param("projectId") Long projectId);

    IPage<LiftResponse> chooseLiftList(IPage<LiftResponse> page, @Param("request") LiftChooseRequest request);

    LiftExtendResponse queryById(@Param("id") Long id);
}