package cn.com.ty.lift.business.maintenance.dao.entity;

import java.time.LocalDate;

import cn.com.ty.lift.business.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 实体类 - 表：maintenance_plan
 * @author bieao
 * @since 2019-12-12 11:27:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MaintenancePlan extends BaseEntity {

    /**
     * 维保计划ID
     */
    @TableId(value = "id", type = IdType.ID_WORKER)
	private Long id;

    /**
     * 电梯ID
     */
	private Long liftId;

    /**
     * 维保公司ID
     */
	private Long mtCompanyId;

    /**
     * 项目ID
     */
	private Long projectId;

    /**
     * 维保工ID
     */
	private Long workerId;

    /**
     * 计划保养时间
     */
	private LocalDate planDate;

    /**
     * 实际保养时间
     */
	private LocalDate workDate;

    /**
     * 保养次数
     */
	private Integer count;

    /**
     * 保养类型 1.半月，2.季度，3.半年，4.全年
     */
	private Integer type;

    /**
     * 状态 0：待完成，1：已完成，2：超期
     */
	private Integer status;

    /**
     * 是否按需维保(0:否 1:是)
     */
    private String demand;
}