package cn.com.ty.lift.business.maintenance.dao.entity;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

import cn.com.ty.lift.business.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 实体类 - 表：maintenance_record
 * @author bieao
 * @since 2019-12-12 11:27:30
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MaintenanceRecord extends BaseEntity {

	/**
	 * 保养记录ID
	 */
	@TableId(value = "id",type = IdType.ID_WORKER)
	private Long id;

	/**
	 * 维保计划ID
	 */
	private Long mtPlanId;

	/**
	 * 电梯ID
	 */
	private Long liftId;

	/**
	 * 项目ID
	 */
	private Long projectId;

	/**
	 * 维保公司ID
	 */
	private Long mtCompanyId;

	/**
	 * 维保工ID
	 */
	private Long workerId;

	/**
	 * 编号,电梯编号+4位流水号'
	 */
	private String code;

	/**
	 * 电梯类型 1直梯，2扶梯
	 */
	private Byte liftType;

	/**
	 * 保养类型 1.半月，2.季度，3.半年，4.全年
	 */
	private Byte type;

	/**
	 * 计划保养时间
	 */
	private LocalDateTime planDate;

	/**
	 * 实际保养时间
	 */
	private LocalDateTime workDate;

	/**
	 * 停梯时间
	 */
	private LocalDateTime stopDate;

	/**
	 * 恢复时间
	 */
	private LocalDateTime recoveryDate;

	/**
	 * 保养建议
	 */
	private String maintenanceAdvice;

	/**
	 * 保养项目  用键值对的方式存储，如(1:0,2:1,3:1...)
	 */
	private String maintenanceOption;

	/**
	 * 签到位置
	 */
	private String position;

	/**
	 * 状态 1：已签到，未完成保养，2：完成保养，未选择评价方式，3：待评价，4：完成。
	 */
	private Byte status;

	/**
	 * 是否正常 0：正常 1：提前 2：延期
	 */
	private Byte isRegular;

	/**
	 * 维保人员1
	 */
	private Long workerId1;

	/**
	 * 是否补录 0：正常 1：补录
	 */
	private Byte isRepair;

	/**
	 * 补录原因
	 */
	private String repairReason;

	/**
	 * 维保工签名1
	 */
	private String signatureImg1;

	/**
	 * 维保工签名2
	 */
	private String signatureImg2;

	/**
	 * 零配件
	 */
	private String sparepart;

	/**
	 * 配件费
	 */
	private BigDecimal partsCost;

	/**
	 * 工时费
	 */
	private BigDecimal manCost;

	/**
	 * 安全确认
	 */
	private String safetyConfirm;
}