package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import cn.com.ty.lift.business.maintenance.dao.entity.MaintenancePlan;
import cn.com.ty.lift.business.project.dao.entity.ProjectLiftRelevance;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.util.List;

/**
 * @author bieao
 * @date 2020/1/2
 * @description 维保计划生成请求
 */
@Data
public class MaintenanceGenerateRequest {

    /**
     * 电梯列表
     */
    @NotEmpty(message = "notEmpty")
    private List<MaintenancePlan> planList;

    /**
     * 项目电梯关联id列表
     */
    @NotEmpty(message = "notEmpty")
    private List<ProjectLiftRelevance> relevanceList;

    /**
     * 首保时间
     */
    @NotNull(message = "notEmpty")
    private LocalDate firstTime;

    /**
     * 期数 1-24
     */
    @NotNull(message = "notEmpty")
    private Integer periods;

    /**
     * 间隔 1-15
     */
    @NotNull(message = "notEmpty")
    private Integer interval;

    /**
     * 是否按需维保(0:否 1:是)
     */
    private String demand;
}
