package cn.com.ty.lift.business.maintenance.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * @author bieao
 * @date 2019/12/16
 * @description 修改维保计划请求
 */
@Data
public class MaintenanceModifyRequest {

    /**
     * 电梯ID
     */
    @NotNull(message = "notEmpty")
    private Long liftId;

    /**
     * 维保公司ID
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;
    /**
     * 项目id
     */
    @NotNull(message = "notEmpty")
    private Long projectId;

    /**
     * 项目电梯关联id
     */
    @NotNull(message = "notEmpty")
    private Long relevanceId;

    /**
     * 维保工ID
     */
    @NotNull(message = "notEmpty")
    private Long workerId;

    /**
     * 期数 1-24
     */
    @NotNull(message = "notEmpty")
    private Integer periods;

    /**
     * 间隔 1-15
     */
    private Integer interval;

    /**
     * 当前时间
     */
    private LocalDate currentTime;

    /**
     * 修改时间
     */
    private LocalDate updateTime;
}
