package cn.com.ty.lift.business.maintenance.dao.mapper;

import cn.com.ty.lift.business.maintenance.dao.entity.MaintenancePlan;
import cn.com.ty.lift.business.maintenance.dao.entity.model.request.MaintenanceAppRequest;
import cn.com.ty.lift.business.maintenance.dao.entity.model.request.MaintenancePlanRequest;
import cn.com.ty.lift.business.maintenance.dao.entity.model.response.MaintenancePlanResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * MyBatis Mapper 接口 - 表：maintenance_plan
 * @author bieao
 * @since 2019-12-12 11:27:30
 */
public interface MaintenancePlanMapper extends BaseMapper<MaintenancePlan> {

    IPage<MaintenancePlanResponse> findByCondition(IPage<MaintenancePlanResponse> page, @Param("request") MaintenancePlanRequest request);

    /**
     * @param request 用户id和维保状态
     * @return RestResponse 保养任务列表
     * @description 根据用户id和维保状态查询保养任务列表
     * @date 2020/1/6 11:29 上午
     */
    IPage<MaintenancePlanResponse> findListByWorkerId(IPage<MaintenancePlanResponse> page, @Param("request") MaintenanceAppRequest request);
}