package cn.com.ty.lift.business.project.dao.entity.model;

import lombok.Data;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * @author wcz
 * @Description: 导入项目，解析excel中的记录，用于接收数据的model
 * @date 2019/12/25 10:16
 */
@Data
public class ProjectImportModel {

    List<String> usages = Arrays.asList("无","住宅","办公楼","医院","商场","工厂","酒店","交通枢纽","学校","剧场","其他");
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 省
     */
    private String province;
    /**
     * 市
     */
    private String city;
    /**
     * 区
     */
    private String district;
    /**
     * 片区
     */
    private String area;
    /**
     * 地址
     */
    private String address;

    /**
     * 项目用途 1.住宅2.办公楼3.医院4.商场5.工厂6.酒店7.交通枢纽8.学校9.剧场10.其他
     */
    private String projectUsageStr;

    private Byte projectUsage;

    public Byte getProjectUsage(){
        int index = usages.indexOf(projectUsageStr);
        if(index == -1){
            return new Byte("10");
        }
        return new Byte(String.valueOf(index));
    }
    /**
     * 项目实际台量
     */
    private Integer actualNum;
    /**
     * 甲方公司
     */
    private String ppCompanyName;
    /**
     * 甲方联系人
     */
    private String ppCompanyContact;
    /**
     * 甲方联系人电话
     */
    private String ppCompanyTelephone;
    /**
     * 开始时间
     */
    private Date startDate;
    /**
     * 结束时间
     */
    private Date endDate;
}
