package cn.com.ty.lift.business.project.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * @author bieao
 * @date 2019/12/5
 * @description 服务操作请求
 */
@Data
public class ProjectOperateServiceRequest {

    /**
     * 项目id
     */
    @NotNull(message = "notEmpty")
    private Long projectId;

    /**
     * 1:恢复服务，2:停止服务，3:继续服务
     */
    @NotEmpty(message = "notEmpty")
    private String operate;

    /**
     * 维保公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;

    /**
     * 停止服务描述
     */
    private String endRemarks;

    /**
     * 新开始时间
     */
    private LocalDate startDate;

    /**
     * 新结束时间
     */
    private LocalDate endDate;

    /**
     * 项目停止时间
     */
    private LocalDateTime stopTime;

}
