package cn.com.ty.lift.business.project.dao.entity.model.request;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2019/11/28
 * @description 项目管理列表请求体
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProjectRequest extends BaseRequestModel {
    /**
     * 省编码
     */
    private String provinceCode;
    /**
     * 市编码
     */
    private String cityCode;
    /**
     * 区编码
     */
    private String districtCode;
    /**
     * 区域id
     */
    private Long regionId;
    /**
     * 区域主管
     */
    private Long userId;
    /**
     * 项目名称、项目编号、甲方名称、项目地址
     */
    private String condition;

    /**
     * 项目状态
     */
    @NotNull(message = "notEmpty")
    private String projectStatus;

    /**
     * 维保公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;
}
