package cn.com.ty.lift.business.project.service;


import cn.com.ty.lift.business.project.dao.entity.AreaCode;
import cn.com.ty.lift.business.project.dao.mapper.AreaCodeMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 行政区划 服务实现类
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-18
 */
@Service
public class AreaCodeService extends ServiceImpl<AreaCodeMapper, AreaCode> {

    public AreaCode selectByName(String name){
        QueryWrapper<AreaCode> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<AreaCode> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(AreaCode::getName,name);
        //结果集，如果是多个会抛出异常，随机取一条加上限制条件 wrapper.last("LIMIT 1")
        lambdaQueryWrapper.last("LIMIT 1");
        return getOne(lambdaQueryWrapper);
    }

    public List<AreaCode> listByLevel(int level){
        QueryWrapper<AreaCode> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<AreaCode> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(AreaCode::getLevel, level);
        return list(lambdaQueryWrapper);
    }
}
