package cn.com.ty.lift.business.project.service;

import cn.com.ty.lift.business.project.dao.entity.PropertyContact;
import cn.com.ty.lift.business.project.dao.mapper.PropertyContactMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * (甲方联系人)客户联系人表 服务实现类
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-11-11
 */
@Service
@Transactional
@AllArgsConstructor
public class PropertyContactService extends ServiceImpl<PropertyContactMapper, PropertyContact>  {

    public PropertyContact selectByInfo(Long ppCompanyId,String name,String telephone){
        QueryWrapper<PropertyContact> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<PropertyContact> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(PropertyContact::getPpCompanyId,ppCompanyId);
        lambdaQueryWrapper.eq(PropertyContact::getName,name);
        lambdaQueryWrapper.eq(PropertyContact::getTelephone,telephone);
        //结果集，如果是多个会抛出异常，随机取一条加上限制条件 wrapper.last("LIMIT 1")
        lambdaQueryWrapper.last("LIMIT 1");
        return getOne(lambdaQueryWrapper);
    }

    /**
     * 根据甲方公司id查询所有的甲方联系人
     * @param ppCompanyId
     * @return
     */
    public List<PropertyContact> listByPpCompanyId(Long ppCompanyId){
        QueryWrapper<PropertyContact> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<PropertyContact> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(PropertyContact::getPpCompanyId,ppCompanyId);
        //状态非0
        lambdaQueryWrapper.ne(PropertyContact::getStatus,0);
        return list(lambdaQueryWrapper);
    }
}