package cn.com.ty.lift.business.project.service;

import cn.com.ty.lift.business.project.dao.entity.Region;
import cn.com.ty.lift.business.project.dao.mapper.RegionMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 区域表 服务实现类
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-09
 */
@Service
@AllArgsConstructor
public class RegionService extends ServiceImpl<RegionMapper, Region> {

    public Region selectByProvAndCity(String provinceCode,String cityCode,String areaName){
        QueryWrapper<Region> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<Region> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(Region::getProvinceCode,provinceCode);
        lambdaQueryWrapper.eq(Region::getCityCode,cityCode);
        lambdaQueryWrapper.eq(Region::getAreaName,areaName);
        //结果集，如果是多个会抛出异常，随机取一条加上限制条件 wrapper.last("LIMIT 1")
        lambdaQueryWrapper.last("LIMIT 1");
        return getOne(lambdaQueryWrapper);
    }

    /**
     * 根据维保公司id查询所有的区域
     * @param mtCompanyId
     * @return
     */
    public List<Region> listByMtCompanyId(Long mtCompanyId){
        QueryWrapper<Region> queryWrapper = new QueryWrapper<>();
        LambdaQueryWrapper<Region> lambdaQueryWrapper = queryWrapper.lambda();
        lambdaQueryWrapper.eq(Region::getMtCompanyId,mtCompanyId);
        return list(lambdaQueryWrapper);
    }
}