package cn.com.ty.lift.common.constants;

public class CommonEnum {

    /**
     * 电梯类型
     */
    public enum LiftType implements IEnum {

        STRAIGHT_LADDER("直梯", "1"),
        STAIRCASE("扶梯", "2");
        /**
         * 值
         */
        private String label;

        /**
         * 键
         */
        private String code;

        /**
         * 构造函数
         *
         * @param label String
         * @param code  String
         */
        LiftType(String label, String code) {
            this.label = label;
            this.code = code;
        }

        /**
         * 取得枚举区分
         *
         * @return String
         */
        @Override
        public String getEnumName() {
            return "LiftType";
        }

        /**
         * get
         *
         * @return String
         */
        @Override
        public String getLabel() {
            return label;
        }

        /**
         * set
         *
         * @return String
         */
        @Override
        public String getCode() {
            return code;
        }

        /**
         * String转换，中间加横杠
         *
         * @return String
         */
        @Override
        public String toString() {
            return this.label;
        }
    }

    /**
     * 电梯状态
     */
    public enum LiftStatus implements IEnum {

        STOP_INSURANCE("停保", "1"),
        NORMAL("正常", "2"),
        MAINTENANCE("保养中", "3"),
        EMERGENCY_REPAIR("维修中", "4"),
        ANNUAL_INSPECTION("年检中", "5"),
        CAPITAL_REPAIR("大修中", "6");
        /**
         * 值
         */
        private String label;

        /**
         * 键
         */
        private String code;

        /**
         * 构造函数
         *
         * @param label String
         * @param code  String
         */
        LiftStatus(String label, String code) {
            this.label = label;
            this.code = code;
        }

        /**
         * 取得枚举区分
         *
         * @return String
         */
        @Override
        public String getEnumName() {
            return "LiftStatus";
        }

        /**
         * get
         *
         * @return String
         */
        @Override
        public String getLabel() {
            return label;
        }

        /**
         * set
         *
         * @return String
         */
        @Override
        public String getCode() {
            return code;
        }

        /**
         * String转换，中间加横杠
         *
         * @return String
         */
        @Override
        public String toString() {
            return this.label;
        }
    }

    /**
     * 项目状态
     */
    public enum ProjectStatus implements IEnum {

        DELETE("删除", "0"),
        NOT_START("尚未开始", "1"),
        IN_SERVICE("服务中", "2"),
        STOP_SERVICE("停止服务", "3"),
        OVERDUE("逾期", "4");
        /**
         * 值
         */
        private String label;

        /**
         * 键
         */
        private String code;

        /**
         * 构造函数
         *
         * @param label String
         * @param code  String
         */
        ProjectStatus(String label, String code) {
            this.label = label;
            this.code = code;
        }

        /**
         * 取得枚举区分
         *
         * @return String
         */
        @Override
        public String getEnumName() {
            return "ProjectStatus";
        }

        /**
         * get
         *
         * @return String
         */
        @Override
        public String getLabel() {
            return label;
        }

        /**
         * set
         *
         * @return String
         */
        @Override
        public String getCode() {
            return code;
        }

        /**
         * String转换，中间加横杠
         *
         * @return String
         */
        @Override
        public String toString() {
            return this.label;
        }
    }

    /**
     * 默认角色
     */
    public enum DefaultRole implements IEnum {

        MTWORK("维保工", "ROLEMTWORK"),
        CLERK("文员", "CLERK"),
        REGION_DIRECTOR("区域主管", "REGION_DIRECTOR"),
        HIGH_DIRECTOR("高级主管", "HIGH_DIRECTOR"),
        ENTERPRISE_ADMIN("企业管理员", "ENTERPRISE_ADMIN");

        /**
         * 值
         */
        private String label;

        /**
         * 键
         */
        private String code;

        /**
         * 构造函数
         *
         * @param label String
         * @param code  String
         */
        DefaultRole(String label, String code) {
            this.label = label;
            this.code = code;
        }

        @Override
        public String getEnumName() {
            return "DefaultRole";
        }

        @Override
        public String getCode() {
            return code;
        }

        @Override
        public String getLabel() {
            return label;
        }
    }

    /**
     * 保养类型
     */
    public enum MaintenanceType implements IEnum {

        HALF_MONTH("半月", "1"),
        QUARTER("季度", "2"),
        HALF_YEAR("半年", "3"),
        YEAR("全年", "4");

        /**
         * 值
         */
        private String label;

        /**
         * 键
         */
        private String code;

        /**
         * 构造函数
         *
         * @param label String
         * @param code  String
         */
        MaintenanceType(String label, String code) {
            this.label = label;
            this.code = code;
        }

        @Override
        public String getEnumName() {
            return "DefaultRole";
        }

        @Override
        public String getCode() {
            return code;
        }

        @Override
        public String getLabel() {
            return label;
        }
    }
}
