package cn.com.ty.lift.enterprise.common;

/**
 * @author wcz
 * @Description: oa常量
 * @date 2020/1/14 22:44
 */
public interface Values {

    /**
     * 操作证相关常量
     */
    interface Lc{
        //0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期
        int Status_Unlicense = 0;
        int Status_ToAudit = 1;
        int Status_AuditFail = 2;
        int Status_AuditPass = 3;
        int Status_Overdue = 4;

        String MissingOwner = "缺少操作证拥有者";
        String MissingMtCompanty = "缺少维保公司";
        String MustToAudit = "待审核才能操作";
        String UploadCertImage = "请上传操作证图片";
        String MissingCertCode = "缺少操作证号";
        String MissingCertExpirationDate = "缺少操作证有效期";
        String MissingCertIssuanceAgency = "缺少发证单位";
        String MissingCertType = "缺少证件类型";
        String CertHadExist = "操作证已存在";
        String CertNotExist = "操作证不存在";

        static boolean unlicense(int status){
            return status == Status_Unlicense;
        }
        static boolean toAudit(int status){
            return status == Status_ToAudit;
        }
        static boolean auditFail(int status){
            return status == Status_AuditFail;
        }
        static boolean auditPass(int status){
            return status == Status_AuditPass;
        }
        static boolean overdue(int status){
            return status == Status_Overdue;
        }
    }

    /**
     * 签到相关常量
     */
    interface At{
        String SetAmTime = "请设置上午的上/下班时间";
        String SetPmTime = "请设置下午的上/下班时间";
        String SetOtTime = "请设置加班的上/下班时间";
        String InvalidAmTime = "上午的上/下班时间有误";
        String InvalidPmTime = "下午的上/下班时间有误";
        String InvalidOtTime = "加班的上/下班时间有误";
        String AmTopClock = "上午上班打卡";
        String AmDownClock = "上午下班打卡";
        String PmTopClock = "下午上班打卡";
        String PmDownClock = "下午下班打卡";
        String OtTopClock = "加班上班打卡";
        String OtDownClock = "加班下班打卡";
        String MissingAddress = "缺少地址信息";
    }
}
