package cn.com.ty.lift.enterprise.custom.dao.entity.model;

import cn.com.xwy.boot.controller.BaseRequestModel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * (甲方联系人)客户联系人表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PropertyContactReq extends BaseRequestModel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 联系人id
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 甲方公司id
     */
    @TableId(value = "pp_company_id")
    private Long ppCompanyId;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 部门
     */
    @TableField("dept")
    private String dept;

    /**
     * 职位
     */
    @TableField("job")
    private String job;

    /**
     * 联系电话
     */
    @TableField("telephone")
    private String telephone;

    /**
     * 0女 1男 默认1
     */
    @TableField("gender")
    private Integer gender;

    /**
     * 年龄
     */
    @TableField("age")
    private Integer age;

    /**
     * 备注
     */
    @TableField("remarks")
    private String remarks;

    /**
     * 0删除 1正常
     */
    @TableField("status")
    private Integer status;

    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Long creatorId;

    /**
     * 创建时间
     */
    @TableField("create_date")
    private LocalDateTime createDate;
}
