package cn.com.ty.lift.enterprise.oa.entity;

import cn.com.ty.lift.enterprise.config.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;

/**
 * <p>
 * 操作证
 * </p>
 *
 * @author wcz
 * @since 2019-12-04
 */
@Data
public class LiftCertificate extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private Long id;

    /**
     * 拥有者ID
     */
    @Min(value = 1,message = "缺少操作证拥有者")
    private Long ownerId;

    /**
     * 维保公司id
     */
    @Min(value = 1,message = "缺少维保公司")
    private Long mtCompanyId;

    /**
     * 操作证号
     */
    @NotNull(message = "缺少操作证号")
    private String code;

    /**
     * 发证单位
     */
    @NotNull(message = "缺少发证单位")
    private String issuanceAgency;

    /**
     * 有效期
     */
    @NotNull(message = "缺少操作证有效期")
    private LocalDate expirationDate;

    /**
     * 证件类型
     */
    @NotNull(message = "缺少证件类型")
    private String certificateType;

    /**
     * 第一张图片路径
     */
    private String firstImgUrl;

    /**
     * 第二张图片路径
     */
    private String secondImgUrl;

    /**
     * 0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期
     */
    @Max(value = 4, message = "操作证状态有误")
    private Integer status;
    
}
