package cn.com.ty.lift.enterprise.oa.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalTime;

/**
 * <p>
 * 维保公司
 * </p>
 *
 * @author wcz
 * @since 2019-12-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MaintenanceCompany implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 公司ID
     */
    @TableId("id")
    private Long id;

    /**
     * 公司名称
     */
    private String name;

    /**
     * 公司地址
     */
    private String address;

    /**
     * 注册资金
     */
    private BigDecimal registeredCapital;

    /**
     * 企业法人
     */
    private String corporator;

    /**
     * 联系电话
     */
    private String telephone;

    /**
     * 主要业务
     */
    private String mainbusiness;

    /**
     * 营业执照编号
     */
    private String businessLicenseCode;

    /**
     * 营业执照附件
     */
    private String businessLicenseAnnex;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 是否认证  '0 未认证 1 已认证 2 审核中 3 认证失败'
     */
    private Integer isCertificated;

    /**
     * 状态  '1：生效 2：系统创建'
     */
    private Integer status;

    /**
     * 创建人ID
     */
    private Long creatorId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    private Integer limitedNum;

    /**
     * 服务总积分
     */
    private Integer serviceTotal;

    /**
     * 满意度总积分
     */
    private Integer satisfactionTotal;

    private Integer serviceCount;

    /**
     * 用户等级
     */
    private Integer level;

    /**
     * 团队图片
     */
    private String logoImg;

    /**
     * 维保积分
     */
    private Integer maintenanceTotal;

    /**
     * 急修积分
     */
    private Integer emergencyTotal;

    /**
     * 创建电梯积分
     */
    private Integer liftTotal;

    /**
     * 是否开启打卡
     */
    private Integer isClock;

    /**
     * 上午上班时间
     */
    private LocalTime topTime;

    /**
     * 上午下班时间
     */
    private LocalTime downTime;

    /**
     * 是否开启上下班打卡
     */
    private Integer isUpdown;

    /**
     * 是否vip
     */
    private Integer vipFlag;

    /**
     * 下午上班时间
     */
    private LocalTime topTimePm;

    /**
     * 下午下班时间
     */
    private LocalTime downTimePm;

    /**
     * 加班上班时间
     */
    private LocalTime topTimeOt;

    /**
     * 加班下班时间
     */
    private LocalTime downTimeOt;
}
