package cn.com.ty.lift.enterprise.organization.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Project implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 项目ID
     */
    @TableId("id")
    private Long id;

    /**
     * 维保公司ID
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 甲方公司ID
     */
    @TableField("pp_company_id")
    private Long ppCompanyId;

    /**
     * 甲方联系人ID
     */
    @TableField("pp_contact_id")
    private Long ppContactId;

    /**
     * 项目编号
     */
    @TableField("project_code")
    private String projectCode;

    /**
     * 项目名称
     */
    @TableField("project_name")
    private String projectName;

    /**
     * 省编码
     */
    @TableField("province_code")
    private String provinceCode;

    /**
     * 省
     */
    @TableField("province")
    private String province;

    /**
     * 市编码
     */
    @TableField("city_code")
    private String cityCode;

    /**
     * 市
     */
    @TableField("city")
    private String city;

    /**
     * 区编码
     */
    @TableField("district_code")
    private String districtCode;

    /**
     * 区
     */
    @TableField("district")
    private String district;

    /**
     * 项目地址
     */
    @TableField("address")
    private String address;

    /**
     * 台量
     */
    @TableField("num")
    private Integer num;

    /**
     * 实际台量
     */
    @TableField("actual_num")
    private Integer actualNum;

    /**
     * 用途 1.住宅2.办公楼3.医院4.商场5.工厂6.酒店7.交通枢纽8.学校9.剧场10.其他
     */
    @TableField("project_usage")
    private Integer projectUsage;

    /**
     * 开始时间
     */
    @TableField("start_date")
    private LocalDate startDate;

    /**
     * 结束时间
     */
    @TableField("end_date")
    private LocalDate endDate;

    /**
     * 状态  0:删除 1:尚未开始(项目开始日期晚于系统日期);2:服务中(系统日期在项目开始和结束日期之间，包括相等) 3:停止服务4.逾期
     */
    @TableField("project_status")
    private Integer projectStatus;

    /**
     * 备注
     */
    @TableField("remarks")
    private String remarks;

    /**
     * 是否锁定 0否 1是
     */
    @TableField("is_locked")
    private Integer isLocked;

    /**
     * 创建人ID
     */
    @TableField("creator_id")
    private Long creatorId;

    /**
     * 创建时间
     */
    @TableField("create_date")
    private LocalDateTime createDate;

    /**
     * 评价方式 0是默认 24  1天后自动评价 48  48小时候默认好评
     */
    @TableField("evaluate")
    private Integer evaluate;

    /**
     * 停止服务描述
     */
    @TableField("end_remarks")
    private String endRemarks;

    /**
     * 维保班长编辑电梯负责人权限  0否1是
     */
    @TableField("if_monitor")
    private Integer ifMonitor;

    /**
     * 维保工查看所有电梯权限 0否 1是
     */
    @TableField("all_project")
    private Integer allProject;

    /**
     * 区域ID
     */
    @TableField("region_id")
    private Long regionId;


}
