package cn.com.ty.lift.push.app;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.ArrayList;

/**
 * @author wcz
 * @date 2019/12/23
 * @description
 */
@Data
@AllArgsConstructor
public class MsgRequest {

    public static final Integer Android = 1;
    public static final Integer Ios = 2;
    /**
     * 消息标题
     */
    private String title;
    /**
     * 消息内容
     */
    private String content;

    /**
     * 消息推送的平台 1:andorid 2:ios
     */
    private Integer platform;

    /**
     * 消息是否全平台发布(平台内所有账号全部推动)
     */
    private Boolean allPlatform;

    private ArrayList<String> accountList;

    public static MsgRequest me(String title,String content,Integer platform,Boolean allPlatform,ArrayList<String> accountList){
        return new MsgRequest(title,content,platform,allPlatform,accountList);
    }

    public static MsgRequest android(String title,String content,ArrayList<String> accountList){
        return new MsgRequest(title,content,Android,false,accountList);
    }

    public static MsgRequest android(String title,String content){
        return new MsgRequest(title,content,Android,true,null);
    }

    public static MsgRequest ios(String title,String content,ArrayList<String> accountList){
        return new MsgRequest(title,content,Ios,false,accountList);
    }

    public static MsgRequest ios(String title,String content){
        return new MsgRequest(title,content,Ios,true,null);
    }
}
