package cn.com.ty.lift.quan.hospital.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 答案表
 * </p>
 *
 * @author huangyuan
 * @since 2020-01-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class QuanAnswer implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId("id")
    private Long id;

    /**
     * 回答内容
     */
    @TableField("content")
    private String content;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

    /**
     * 回答的专家id
     */
    @TableField("answer_expert _id")
    private Long answerExpertId;

    /**
     * 更新者id
     */
    @TableField("update_user_id")
    private Long updateUserId;

    /**
     * 采纳标识:0表示待采纳, 1:表示采纳, -1:表示未采纳 
     */
    @TableField("adopt_flag")
    private Integer adoptFlag;

    /**
     * 删除标识
     */
    @TableField("delete_flag")
    private Integer deleteFlag;


}
