package cn.com.ty.lift.quan.hospital.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 素材表
 * </p>
 *
 * @author huangyuan
 * @since 2020-01-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class QuanMaterial implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId("id")
    private Long id;

    /**
     * 素材名称
     */
    @TableField("name")
    private String name;

    /**
     * 主体id:问题或答案id
     */
    @TableField("object_id")
    private Long objectId;

    /**
     * 素材路径
     */
    @TableField("material_url")
    private String materialUrl;

    /**
     * 创建者id
     */
    @TableField("create_user_id")
    private Long createUserId;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;


}
