package cn.com.ty.lift.quan.hospital.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 问题表
 * </p>
 *
 * @author huangyuan
 * @since 2020-01-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class QuanQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId("id")
    private Long id;

    /**
     * 问题标题
     */
    @TableField("title")
    private String title;

    /**
     * 问题内容
     */
    @TableField("content")
    private String content;

    /**
     * 问题类型
     */
    @TableField("type")
    private Integer type;

    /**
     * 问题金额
     */
    @TableField("amount")
    private BigDecimal amount;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

    /**
     * 创建者id
     */
    @TableField("create_user_id")
    private Long createUserId;

    /**
     * 更新者id
     */
    @TableField("update_user_id")
    private Long updateUserId;

    /**
     * 解决标识:0表示未解决, 1:表示已解决
     */
    @TableField("solved_flag")
    private Integer solvedFlag;

    /**
     * 审核标识:0表示待审核, 1:表示审核通过, -1:表示审核不通过
     */
    @TableField("audit_flag")
    private Integer auditFlag;

    /**
     * 删除标识
     */
    @TableField("delete_flag")
    private Integer deleteFlag;


}
