package cn.com.ty.lift.quan.pay.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户资金操作记录表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PayRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 支付记录id
     */
    @TableField("id")
    private Long id;

    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 1充值 2提现
     */
    @TableField("type")
    private Integer type;

    /**
     * 用户操作增减的金额
     */
    @TableField("total_amount")
    private BigDecimal totalAmount;

    /**
     * 支付宝订单号
     */
    @TableField("trade_no")
    private String tradeNo;

    /**
     * 商家自定义订单号
     */
    @TableField("out_trade_no")
    private String outTradeNo;

    /**
     * 订单完成状态  1完成 0未完成 2取消交易
     */
    @TableField("status")
    private Integer status;

    /**
     * 订单标题
     */
    @TableField("subject")
    private String subject;

    /**
     * 订单备注
     */
    @TableField("subject_remark")
    private String subjectRemark;

    /**
     * 订单创建时间
     */
    @TableField("create_datetime")
    private LocalDateTime createDatetime;

    /**
     * 订单完成时间
     */
    @TableField("finish_datetime")
    private LocalDateTime finishDatetime;
}
