package cn.com.ty.lift.quan.pay.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 用户表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2020-01-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @TableId(value = "user_id", type = IdType.AUTO)
    private Long userId;

    /**
     * 用户昵称
     */
    @TableField("name")
    private String name;

    /**
     * 用户手机号
     */
    @TableField("mobile")
    private String mobile;

    /**
     * 性别
     */
    @TableField("gender")
    private Integer gender;

    /**
     * 年龄
     */
    @TableField("age")
    private Integer age;

    /**
     * 头像地址
     */
    @TableField("avatar_url")
    private String avatarUrl;

    /**
     * 备注
     */
    @TableField("remarks")
    private String remarks;

    /**
     * 个性签名
     */
    @TableField("signature")
    private String signature;

    @TableField("service_total")
    private Integer serviceTotal;

    @TableField("satisfaction_total")
    private Integer satisfactionTotal;

    @TableField("level")
    private Integer level;

    @TableField("maintenance_total")
    private Integer maintenanceTotal;

    @TableField("emergency_total")
    private Integer emergencyTotal;

    @TableField("lift_total")
    private Integer liftTotal;

    /**
     * 用户余额
     */
    @TableField("balance")
    private BigDecimal balance;

    /**
     * 用户类型：00：超级管理员，0：企业管理员，1：普通用户
     */
    @TableField("type")
    private String type;

    @TableField("delete_flag")
    private Integer deleteFlag;

    /**
     * 支付宝账号
     */
    @TableField("alipay_account")
    private String alipayAccount;

    /**
     * 支付宝id
     */
    @TableField("alipay_id")
    private String alipayId;

    /**
     * 冻结的余额
     */
    @TableField("freeze_balance")
    private BigDecimal freezeBalance;


}
