package cn.com.ty.lift.system.framework.runner;

import cn.com.ty.lift.common.constants.RedisConstants;
import cn.com.ty.lift.common.model.AreaCode;
import cn.com.ty.lift.system.user.service.IAreaCodeService;
import cn.hutool.json.JSONUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-03
 * @description
 */
@Component
@Slf4j
public class SystemServiceRunner implements ApplicationRunner {

    @Resource
    private RedisTemplate<String, Object> redisTemplate;

    @Resource
    private IAreaCodeService iAreaCodeService;

    @Override
    public void run(ApplicationArguments args) {
        //初始化省、市、区信息列表
        initAreaList();
    }

    /**
     * @description 初始化省、市、区信息列表
     * @date 2019/12/3 6:31 PM
     */
    public void initAreaList() {
        //组装省、市、区树形结构列表
        List<AreaCode> areaCodeList = iAreaCodeService.areaTree();
        redisTemplate.opsForValue().set(RedisConstants.RK_AREA_LIST, areaCodeList);
        log.info("初始化区域信息列表{}", JSONUtil.parse(areaCodeList));
    }
}
