package cn.com.ty.lift.system.settings.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 全局设置
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class GlobalSet implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 设置值
     */
    @TableField("value")
    private Integer value;

    /**
     * 设置编码号
     */
    @TableField("code")
    private String code;

    /**
     * 公司id
     */
    @TableField("company_id")
    private Long companyId;

    public GlobalSet(){}

    public GlobalSet(Long companyId, int value, String code){
        this.companyId = companyId;
        this.value = value;
        this.code = code;
    }

}
