package cn.com.ty.lift.system.user.controller;

import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.ty.lift.system.user.dao.entity.UserAccount;
import cn.com.ty.lift.system.user.dao.entity.model.ChangeMobileRequest;
import cn.com.ty.lift.system.user.dao.entity.model.UserRequest;
import cn.com.ty.lift.system.user.service.IUserService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户管理
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Resource
    private IUserService userService;

    /**
     * @param userRequest 用户请求类
     * @return
     * @description
     * @date 2019/11/27 10:03 AM
     */
    @RequestMapping("/list")
    public RestResponse list(UserRequest userRequest) {
        IPage<UserAccount> userAccountPage = userService.list(userRequest);
        return RestResponse.success(userAccountPage, ApiConstants.RESULT_SUCCESS, "获取用户信息成功");
    }

    /**
     * @param
     * @return
     * @description app获取用户信息
     * @date 2019-12-28 15:41
     */
    @RequestMapping("/info")
    public RestResponse info(@RequestBody UserRequest userRequest) {
        return userService.getUserInfo(userRequest);
    }

    /**
     * @param userRequest 用户请求参数
     * @return
     * @description 添加用户
     * @date 2019/11/27 10:03 AM
     */
    @PostMapping("/add")
    public RestResponse addUser(@RequestBody UserRequest userRequest) {
        return userService.addUser(userRequest);
    }

    /**
     * @param userRequest 用户请求参数
     * @return
     * @description 更新用户信息
     * @date 2019/11/27 10:03 AM
     */
    @PostMapping("/update")
    public RestResponse updateUser(@RequestBody UserRequest userRequest) {
        return userService.updateUser(userRequest);
    }

    /**
     * @param userRequest 用户请求参数
     * @return
     * @description 删除用户信息
     * @date 2019/11/27 10:03 AM
     */
    @PostMapping("/delete")
    public RestResponse deleteUser(@RequestBody UserRequest userRequest) {
        return userService.deleteUser(userRequest);
    }

    /**
     * @param
     * @return
     * @description 更换手机号
     * @date 2020-01-04 16:30
     */
    @PostMapping("/changeMobile")
    public RestResponse changeMobile(@RequestBody ChangeMobileRequest changeMobileRequest) {
        return userService.changeMobile(changeMobileRequest);
    }

}
