package cn.com.ty.lift.system.user.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户申请表
 * </p>
 *
 * @author huangyuan
 * @since 2019-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UserApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ID_WORKER)
    private Long id;

    /**
     * 团队id
     */
    @TableField("mt_company_id")
    private Long mtCompanyId;

    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 类型1加入团队2加入项目
     */
    @TableField("type")
    private Integer type;

    /**
     * 项目id
     */
    @TableField("project_id")
    private Long projectId;

    /**
     * 21:查看 22 评价
     */
    @TableField("power_type")
    private Integer powerType;

    /**
     * 申请时间
     */
    @TableField("apply_date")
    private LocalDateTime applyDate;

    /**
     * 办理人用户id
     */
    @TableField("deal_user_id")
    private Long dealUserId;

    /**
     * 办理日期
     */
    @TableField("deal_date")
    private LocalDateTime dealDate;

    /**
     * 描述
     */
    @TableField("description")
    private String description;

    /**
     * 状态1审核通过,2待审核,-1审核不通过
     */
    @TableField("status")
    private Integer status;


}
