package cn.com.ty.lift.system.user.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户登录记录表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UserLogin implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 用户设备
     */
    @TableField("device")
    private Integer device;

    /**
     * 设备id
     */
    @TableField("device_id")
    private String deviceId;

    /**
     * 登录时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 登录IP
     */
    @TableField("ip")
    private String ip;

    @TableId(value = "id", type = IdType.ID_WORKER)
    private Long id;


}
