package cn.com.ty.lift.system.user.dao.entity.model;

import lombok.Data;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-17
 * @description 项目用户关联表
 */
@Data
public class ProjectUser {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 项目id
     */
    private Long projectId;

    /**
     * 用户角色 10超管 11:超级查询 12管理员 13维保工 14省级经理 15市级经理 16文员 21物业评价 22物业查询
     */
    private String userRole;

    /**
     * 是否是维保班长  0否 1是
     */
    private String isMonitor;

    private List<Long> userIdList;

    public ProjectUser(){}

    public ProjectUser(Long userId, Long companyId){
        this.userId = userId;
        this.companyId = companyId;
    }

    public ProjectUser(Long userId, Long companyId, Long projectId){
        this.userId = userId;
        this.companyId = companyId;
        this.projectId = projectId;
    }

    public ProjectUser(Long companyId, List<Long> userIdList){
        this.companyId = companyId;
        this.userIdList = userIdList;
    }
}
