package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.MtCompanyUser;
import cn.com.ty.lift.system.user.dao.entity.model.MtCompanyUserRequest;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author huangyuan
 * @date 2019-12-03
 * @description
 */
public interface IMtCompanyUserService extends IService<MtCompanyUser> {
    /**
     * @param mtCompanyUserRequest userId:用户id, roleId:角色id, job职业, companyId公司id
     * @return
     * @description 分配角色和职业
     * @date 2019/11/27 10:03 AM
     */
    RestResponse assignRole(MtCompanyUserRequest mtCompanyUserRequest);

    /**
     * @param mtCompanyUserRequest:公司id
     * @return
     * @description 获取公司团队信息
     * @date 2019/11/27 10:03 AM
     */
    RestResponse getCompanyMembers(MtCompanyUserRequest mtCompanyUserRequest);

    /**
     * @param
     * @return
     * @description 踢出团队
     * @date 2019-12-16 17:52
     */
    RestResponse kickOutTeam(MtCompanyUserRequest mtCompanyUserRequest);

    /**
     * @param
     * @return
     * @description 获取公司用户列表
     * @date 2019-12-17 11:22
     */
    RestResponse getCompanyUserList(MtCompanyUserRequest mtCompanyUserRequest);

    /**
     * @param
     * @return
     * @description 设置急修信息
     * @date 2019-12-26 17:58
     */
    RestResponse setRepair(MtCompanyUserRequest mtCompanyUserRequest);

    /**
     * @param
     * @return
     * @description app获取团队成员列表
     * @date 2020-01-02 16:08
     */
    RestResponse appGetCompanyMembers(MtCompanyUserRequest mtCompanyUserRequest);

    /**
     * @param
     * @return
     * @description 获取急修工
     * @date 2020-01-06 15:20
     */
    RestResponse getUrgentRepairs(MtCompanyUserRequest mtCompanyUserRequest);
}
