package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.UserAccount;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户账户接口
 */
public interface IUserAccountService extends IService<UserAccount> {


    /**
     * @description 通过用户手机号获取用户信息
     * @date 2019/11/27 10:03 AM
     * @param mobile 手机号
     * @return
     */
    UserAccount getByMobile(String mobile);

    /**
     * @description 通过用户id获取用户账户信息
     * @date 2019/11/27 10:03 AM
     * @param
     * @return
     */
    UserAccount getByUserId(Long userId);

    /**
     * @description 更新用户账户信息
     * @date
     * @param userAccount 用户账户信息
     * @return
     */
    boolean updateUserAccount(UserAccount userAccount);
}
