package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.UserAccount;
import cn.com.ty.lift.system.user.dao.entity.model.ChangeMobileRequest;
import cn.com.ty.lift.system.user.dao.entity.model.UserRequest;
import cn.com.ty.lift.system.user.dao.entity.model.UserResponse;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * <h1>.</h1><BR>
 *
 * @author huangyuan - 2019-11-25 18:36:53
 */
public interface IUserService {
    /**
     * @param userRequest 用户请求对象
     * @return
     * @description 用户注册
     * @date 2019/11/27 10:03 AM
     */
    UserAccount saveUserInfo(UserRequest userRequest);

    /**
     * @param userRequest 用户请求参数对象
     * @return
     * @description 获取用户列表信息
     * @date 2019/11/27 10:03 AM
     */
    IPage<UserAccount> list(UserRequest userRequest);

    /**
     * @param userRequest 用户请求参数对象
     * @return
     * @description 添加用户
     * @date 2019/11/27 10:03 AM
     */
    RestResponse addUser(UserRequest userRequest);

    /**
     * @param userRequest 用户请求参数对象
     * @return
     * @description 更新用户信息
     * @date 2019/11/27 10:03 AM
     */
    RestResponse updateUser(UserRequest userRequest);

    /**
     * @param userRequest 用户请求参数对象
     * @return
     * @description 删除用户信息
     * @date 2019/11/27 10:03 AM
     */
    RestResponse deleteUser(UserRequest userRequest);

    /**
     * @param userId 用户id
     * @return
     * @description 获取登录的用户信息
     * @date 2019-12-10
     */
    UserResponse getLoginUserInfo(Long userId);

    /**
     * @param
     * @return
     * @description 通过用户id集合获取用户基础信息
     * @date 10:35
     */
    Map<Long, UserResponse> getUserResponseByUserIdList(List<Long> userIdList);

    /**
     * @param queryCondition:用户名或者手机号
     * @return
     * @description 通过手机号或者用户名查询用户信息
     * @date 2019-12-23 16:17
     */
    List<Long> getIdListByQueryCondition(String queryCondition);

    /**
     * @description 获取用户信息
     * @date 2019-12-28 15:41
     * @param
     * @return
     */
    RestResponse getUserInfo(UserRequest userRequest);

    /**
     * @description 更换手机号
     * @date 2020-01-04 10:31
     * @param
     * @return
     */
    RestResponse changeMobile(ChangeMobileRequest changeMobileRequest);
}
