package cn.com.ty.lift.system.utils;

import javax.servlet.http.HttpServletRequest;
import java.time.Duration;
import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2019-12-13
 * @description
 */
public class CommonUtil {


    /***
     * @description 通过request获取ip
     * @date 2019-12-10
     * @param request 请求对象
     * @return
     */
    public static String getIpAddress(HttpServletRequest request) {
        String ip = request.getHeader("x-forwarded-for");
        if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = request.getHeader("Proxy-Client-IP");
        }
        if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = request.getHeader("WL-Proxy-Client-IP");
        }
        if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = request.getHeader("HTTP_CLIENT_IP");
        }
        if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = request.getHeader("HTTP_X_FORWARDED_FOR");
        }
        if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = request.getRemoteAddr();
        }
        return ip;
    }

    /**
     * @description 判断时间A和B差值的绝对值是否在指定的之间差值内
     * @date 2019-12-18 14:10
     * @param timeA 时间A
     * @param timeB 时间B
     * @param dValue 差值
     * @return true:差值在指定范围内 false:差值不在指定范围内
     */
    public static boolean durationJudge(LocalDateTime timeA, LocalDateTime timeB, Long dValue){
        Duration duration = Duration.between(timeA, timeB);
        long diffDay = duration.toDays();
        return diffDay < dValue;
    }

}
